Index: doc/latex/classepdf__inherit__graph.eps
===================================================================
--- doc/latex/classepdf__inherit__graph.eps (revision 33)
+++ doc/latex/classepdf__inherit__graph.eps (revision 37)
@@ -182,8 +182,8 @@
 setupLatin1
 %%Page: 1 1
-%%PageBoundingBox: 36 36 452 258
+%%PageBoundingBox: 36 36 441 258
 %%PageOrientation: Portrait
 gsave
-36 36 452 258 boxprim clip newpath
+36 36 441 258 boxprim clip newpath
 0 0 1 beginpage
 1 1 set_scale 0 rotate 40 40 translate
@@ -191,6 +191,6 @@
 newpath -4 -4 moveto
 -4 218 lineto
-412 218 lineto
-412 -4 lineto
+401 218 lineto
+401 -4 lineto
 closepath fill
 1 setlinewidth
@@ -198,35 +198,35 @@
 newpath -4 -4 moveto
 -4 218 lineto
-412 218 lineto
-412 -4 lineto
+401 218 lineto
+401 -4 lineto
 closepath stroke
 % Node1
 gsave
 0.000 0.000 0.749 nodecolor
-newpath 190 192 moveto
-190 213 lineto
-228 213 lineto
-228 192 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 190 192 moveto
-190 213 lineto
-228 213 lineto
-228 192 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans.ttf set_font
-209 199 moveto 22 -0.5 (epdf) alignedtext
+newpath 179 192 moveto
+179 213 lineto
+217 213 lineto
+217 192 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 179 192 moveto
+179 213 lineto
+217 213 lineto
+217 192 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans.ttf set_font
+198 199 moveto 22 -0.5 (epdf) alignedtext
 grestore
 % Node2
 gsave
-[ /Rect [ 106 133 140 153 ]
+[ /Rect [ 95 133 129 153 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classeEF.html) >>
   /Subtype /Link
 /ANN pdfmark
-[ /Rect [ 106 133 140 153 ]
+[ /Rect [ 95 133 129 153 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classeEF.html) >>
@@ -234,20 +234,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 106 132 moveto
-106 153 lineto
-141 153 lineto
-141 132 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 106 132 moveto
-106 153 lineto
-141 153 lineto
-141 132 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans.ttf set_font
-123 139 moveto 19 -0.5 (eEF) alignedtext
+newpath 95 132 moveto
+95 153 lineto
+130 153 lineto
+130 132 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 95 132 moveto
+95 153 lineto
+130 153 lineto
+130 132 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans.ttf set_font
+112 139 moveto 19 -0.5 (eEF) alignedtext
 grestore
 % Node1->Node2
@@ -256,79 +256,79 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 184 186 moveto
-169 176 150 162 137 153 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 182.738 189.365 moveto
+newpath 173 186 moveto
+158 176 139 162 126 153 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 171.738 189.365 moveto
+182 192 lineto
+175.621 183.541 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 171.738 189.365 moveto
+182 192 lineto
+175.621 183.541 lineto
+closepath stroke
+grestore
+% Node7
+gsave
+[ /Rect [ 147 133 191 153 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($classeEmp.html) >>
+  /Subtype /Link
+/ANN pdfmark
+[ /Rect [ 147 133 191 153 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($classeEmp.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 147 132 moveto
+147 153 lineto
+192 153 lineto
+192 132 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 147 132 moveto
+147 153 lineto
+192 153 lineto
+192 132 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans.ttf set_font
+169 139 moveto 29 -0.5 (eEmp) alignedtext
+grestore
+% Node1->Node7
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 188 183 moveto
+183 173 178 161 174 153 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 185.084 184.958 moveto
 193 192 lineto
-186.621 183.541 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 182.738 189.365 moveto
+191.203 181.559 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 185.084 184.958 moveto
 193 192 lineto
-186.621 183.541 lineto
-closepath stroke
-grestore
-% Node6
-gsave
-[ /Rect [ 158 133 202 153 ]
-  /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($classeEmp.html) >>
-  /Subtype /Link
-/ANN pdfmark
-[ /Rect [ 158 133 202 153 ]
-  /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($classeEmp.html) >>
-  /Subtype /Link
-/ANN pdfmark
-0.000 0.000 1.000 nodecolor
-newpath 158 132 moveto
-158 153 lineto
-203 153 lineto
-203 132 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 158 132 moveto
-158 153 lineto
-203 153 lineto
-203 132 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans.ttf set_font
-180 139 moveto 29 -0.5 (eEmp) alignedtext
-grestore
-% Node1->Node6
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 199 183 moveto
-194 173 189 161 185 153 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 196.084 184.958 moveto
-204 192 lineto
-202.203 181.559 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 196.084 184.958 moveto
-204 192 lineto
-202.203 181.559 lineto
-closepath stroke
-grestore
-% Node7
-gsave
-[ /Rect [ 220 133 256 153 ]
+191.203 181.559 lineto
+closepath stroke
+grestore
+% Node8
+gsave
+[ /Rect [ 209 133 245 153 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classeuni.html) >>
   /Subtype /Link
 /ANN pdfmark
-[ /Rect [ 220 133 256 153 ]
+[ /Rect [ 209 133 245 153 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classeuni.html) >>
@@ -336,81 +336,81 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 220 132 moveto
-220 153 lineto
-256 153 lineto
-256 132 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 220 132 moveto
-220 153 lineto
-256 153 lineto
-256 132 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans.ttf set_font
-238 139 moveto 20 -0.5 (euni) alignedtext
-grestore
-% Node1->Node7
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 219 183 moveto
-224 173 229 161 233 153 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 215.797 181.559 moveto
-214 192 lineto
-221.916 184.958 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 215.797 181.559 moveto
-214 192 lineto
-221.916 184.958 lineto
-closepath stroke
-grestore
-% Node8
-gsave
-0.000 0.000 1.000 nodecolor
-newpath 274 132 moveto
-274 153 lineto
-408 153 lineto
-408 132 lineto
+newpath 209 132 moveto
+209 153 lineto
+245 153 lineto
+245 132 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 209 132 moveto
+209 153 lineto
+245 153 lineto
+245 132 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans.ttf set_font
+227 139 moveto 20 -0.5 (euni) alignedtext
+grestore
+% Node1->Node8
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 208 183 moveto
+213 173 218 161 222 153 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 204.797 181.559 moveto
+203 192 lineto
+210.916 184.958 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 204.797 181.559 moveto
+203 192 lineto
+210.916 184.958 lineto
+closepath stroke
+grestore
+% Node9
+gsave
+0.000 0.000 1.000 nodecolor
+newpath 263 132 moveto
+263 153 lineto
+397 153 lineto
+397 132 lineto
 closepath fill
 1 setlinewidth
 filled
 0.000 0.000 0.749 nodecolor
-newpath 274 132 moveto
-274 153 lineto
-408 153 lineto
-408 132 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans.ttf set_font
-341 139 moveto 118 -0.5 (MPF< BM_T >::mpfepdf) alignedtext
-grestore
-% Node1->Node8
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 237 190 moveto
-262 179 297 164 319 153 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 235.717 186.74 moveto
-228 194 lineto
-238.56 193.137 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 235.717 186.74 moveto
-228 194 lineto
-238.56 193.137 lineto
+newpath 263 132 moveto
+263 153 lineto
+397 153 lineto
+397 132 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans.ttf set_font
+330 139 moveto 118 -0.5 (MPF< BM_T >::mpfepdf) alignedtext
+grestore
+% Node1->Node9
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 226 190 moveto
+251 179 286 164 308 153 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 224.717 186.74 moveto
+217 194 lineto
+227.56 193.137 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 224.717 186.74 moveto
+217 194 lineto
+227.56 193.137 lineto
 closepath stroke
 grestore
@@ -450,28 +450,28 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 97 126 moveto
-81 116 59 102 45 93 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 95.738 129.365 moveto
-106 132 lineto
-99.6209 123.541 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 95.738 129.365 moveto
-106 132 lineto
-99.6209 123.541 lineto
+newpath 89 126 moveto
+74 115 56 102 44 93 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 86.9 128.8 moveto
+97 132 lineto
+91.1 123.2 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 86.9 128.8 moveto
+97 132 lineto
+91.1 123.2 lineto
 closepath stroke
 grestore
 % Node4
 gsave
-[ /Rect [ 78 73 168 93 ]
+[ /Rect [ 116 73 206 93 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classenorm.html) >>
   /Subtype /Link
 /ANN pdfmark
-[ /Rect [ 78 73 168 93 ]
+[ /Rect [ 116 73 206 93 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classenorm.html) >>
@@ -479,20 +479,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 78 72 moveto
-78 93 lineto
-169 93 lineto
-169 72 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 78 72 moveto
-78 93 lineto
-169 93 lineto
-169 72 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans.ttf set_font
-123 79 moveto 75 -0.5 (enorm< sq_T >) alignedtext
+newpath 116 72 moveto
+116 93 lineto
+207 93 lineto
+207 72 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 116 72 moveto
+116 93 lineto
+207 93 lineto
+207 72 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans.ttf set_font
+161 79 moveto 75 -0.5 (enorm< sq_T >) alignedtext
 grestore
 % Node2->Node4
@@ -501,28 +501,28 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 123 122 moveto
-123 112 123 101 123 93 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 119.5 122 moveto
-123 132 lineto
-126.5 122 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 119.5 122 moveto
-123 132 lineto
-126.5 122 lineto
+newpath 128 124 moveto
+136 114 146 102 153 93 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 124.951 122.169 moveto
+121 132 lineto
+130.219 126.779 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 124.951 122.169 moveto
+121 132 lineto
+130.219 126.779 lineto
 closepath stroke
 grestore
 % Node5
 gsave
-[ /Rect [ 112 1 210 21 ]
+[ /Rect [ 55 1 153 21 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classenorm.html) >>
   /Subtype /Link
 /ANN pdfmark
-[ /Rect [ 112 1 210 21 ]
+[ /Rect [ 55 1 153 21 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classenorm.html) >>
@@ -530,20 +530,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 112 0 moveto
-112 21 lineto
-210 21 lineto
-210 0 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 112 0 moveto
-112 21 lineto
-210 21 lineto
-210 0 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans.ttf set_font
-161 7 moveto 82 -0.5 (enorm< ldmat >) alignedtext
+newpath 55 0 moveto
+55 21 lineto
+153 21 lineto
+153 0 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 55 0 moveto
+55 21 lineto
+153 21 lineto
+153 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans.ttf set_font
+104 7 moveto 82 -0.5 (enorm< ldmat >) alignedtext
 grestore
 % Node2->Node5
@@ -552,20 +552,72 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 149 126 moveto
-159 117 171 107 177 94 curveto
-189 72 190 62 182 40 curveto
-180 33 176 26 171 21 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 146.9 123.2 moveto
-141 132 lineto
-151.1 128.8 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 146.9 123.2 moveto
-141 132 lineto
-151.1 128.8 lineto
+newpath 110 122 moveto
+109 113 108 103 107 94 curveto
+106 68 105 37 104 21 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 106.522 122.398 moveto
+111 132 lineto
+113.488 121.701 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 106.522 122.398 moveto
+111 132 lineto
+113.488 121.701 lineto
+closepath stroke
+grestore
+% Node6
+gsave
+[ /Rect [ 191 1 291 21 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($classenorm.html) >>
+  /Subtype /Link
+/ANN pdfmark
+[ /Rect [ 191 1 291 21 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($classenorm.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 191 0 moveto
+191 21 lineto
+292 21 lineto
+292 0 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 191 0 moveto
+191 21 lineto
+292 21 lineto
+292 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans.ttf set_font
+241 7 moveto 85 -0.5 (enorm< chmat >) alignedtext
+grestore
+% Node2->Node6
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 139 131 moveto
+168 118 210 98 215 94 curveto
+234 79 241 75 248 54 curveto
+252 43 249 30 246 21 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 137.717 127.74 moveto
+130 135 lineto
+140.56 134.137 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 137.717 127.74 moveto
+130 135 lineto
+140.56 134.137 lineto
 closepath stroke
 grestore
@@ -575,23 +627,48 @@
 dashed
 0.106 1.000 1.000 edgecolor
-newpath 125 62 moveto
-127 55 129 47 132 40 curveto
-136 33 142 26 148 21 curveto
+newpath 134 66 moveto
+130 62 126 58 122 54 curveto
+115 44 110 30 107 21 curveto
 stroke
 0.106 1.000 1.000 edgecolor
-newpath 121.512 61.7013 moveto
-124 72 lineto
-128.478 62.3979 lineto
+newpath 131.9 68.8 moveto
+142 72 lineto
+136.1 63.2 lineto
 closepath fill
 1 setlinewidth
 solid
 0.106 1.000 1.000 edgecolor
-newpath 121.512 61.7013 moveto
-124 72 lineto
-128.478 62.3979 lineto
+newpath 131.9 68.8 moveto
+142 72 lineto
+136.1 63.2 lineto
 closepath stroke
 0.000 0.000 0.000 edgecolor
 10.00 /FreeSans.ttf set_font
-157 44 moveto 50 -0.5 (< ldmat >) alignedtext
+150 44 moveto 50 -0.5 (< ldmat >) alignedtext
+grestore
+% Node4->Node6
+gsave
+1 setlinewidth
+dashed
+0.106 1.000 1.000 edgecolor
+newpath 174 64 moveto
+180 56 187 47 195 40 curveto
+203 33 213 26 221 21 curveto
+stroke
+0.106 1.000 1.000 edgecolor
+newpath 171.2 61.9 moveto
+168 72 lineto
+176.8 66.1 lineto
+closepath fill
+1 setlinewidth
+solid
+0.106 1.000 1.000 edgecolor
+newpath 171.2 61.9 moveto
+168 72 lineto
+176.8 66.1 lineto
+closepath stroke
+0.000 0.000 0.000 edgecolor
+10.00 /FreeSans.ttf set_font
+222 44 moveto 53 -0.5 (< chmat >) alignedtext
 grestore
 endpage
@@ -602,5 +679,5 @@
 %%Trailer
 %%Pages: 1
-%%BoundingBox: 36 36 452 258
+%%BoundingBox: 36 36 441 258
 end
 restore
Index: doc/latex/classchmat__coll__graph.eps
===================================================================
--- doc/latex/classchmat__coll__graph.eps (revision 37)
+++ doc/latex/classchmat__coll__graph.eps (revision 37)
@@ -0,0 +1,284 @@
+%!PS-Adobe-2.0
+%%Creator: Graphviz version 2.12 (Tue Sep  4 16:56:48 UTC 2007)
+%%For: (smidl) Vasek Smidl,,,
+%%Title: G
+%%Pages: (atend)
+%%BoundingBox: (atend)
+%%EndComments
+save
+%%BeginProlog
+/DotDict 200 dict def
+DotDict begin
+
+/setupLatin1 {
+mark
+/EncodingVector 256 array def
+ EncodingVector 0
+
+ISOLatin1Encoding 0 255 getinterval putinterval
+EncodingVector 45 /hyphen put
+
+% Set up ISO Latin 1 character encoding
+/starnetISO {
+        dup dup findfont dup length dict begin
+        { 1 index /FID ne { def }{ pop pop } ifelse
+        } forall
+        /Encoding EncodingVector def
+        currentdict end definefont
+} def
+/Times-Roman starnetISO def
+/Times-Italic starnetISO def
+/Times-Bold starnetISO def
+/Times-BoldItalic starnetISO def
+/Helvetica starnetISO def
+/Helvetica-Oblique starnetISO def
+/Helvetica-Bold starnetISO def
+/Helvetica-BoldOblique starnetISO def
+/Courier starnetISO def
+/Courier-Oblique starnetISO def
+/Courier-Bold starnetISO def
+/Courier-BoldOblique starnetISO def
+cleartomark
+} bind def
+
+%%BeginResource: procset graphviz 0 0
+/coord-font-family /Times-Roman def
+/default-font-family /Times-Roman def
+/coordfont coord-font-family findfont 8 scalefont def
+
+/InvScaleFactor 1.0 def
+/set_scale {
+       dup 1 exch div /InvScaleFactor exch def
+       scale
+} bind def
+
+% styles
+/solid { [] 0 setdash } bind def
+/dashed { [9 InvScaleFactor mul dup ] 0 setdash } bind def
+/dotted { [1 InvScaleFactor mul 6 InvScaleFactor mul] 0 setdash } bind def
+/invis {/fill {newpath} def /stroke {newpath} def /show {pop newpath} def} bind def
+/bold { 2 setlinewidth } bind def
+/filled { } bind def
+/unfilled { } bind def
+/rounded { } bind def
+/diagonals { } bind def
+
+% hooks for setting color 
+/nodecolor { sethsbcolor } bind def
+/edgecolor { sethsbcolor } bind def
+/graphcolor { sethsbcolor } bind def
+/nopcolor {pop pop pop} bind def
+
+/beginpage {	% i j npages
+	/npages exch def
+	/j exch def
+	/i exch def
+	/str 10 string def
+	npages 1 gt {
+		gsave
+			coordfont setfont
+			0 0 moveto
+			(\() show i str cvs show (,) show j str cvs show (\)) show
+		grestore
+	} if
+} bind def
+
+/set_font {
+	findfont exch
+	scalefont setfont
+} def
+
+% draw aligned label in bounding box aligned to current point
+/alignedtext {			% width adj text
+	/text exch def
+	/adj exch def
+	/width exch def
+	gsave
+		width 0 gt {
+			text stringwidth pop adj mul 0 rmoveto
+		} if
+		[] 0 setdash
+		text show
+	grestore
+} def
+
+/boxprim {				% xcorner ycorner xsize ysize
+		4 2 roll
+		moveto
+		2 copy
+		exch 0 rlineto
+		0 exch rlineto
+		pop neg 0 rlineto
+		closepath
+} bind def
+
+/ellipse_path {
+	/ry exch def
+	/rx exch def
+	/y exch def
+	/x exch def
+	matrix currentmatrix
+	newpath
+	x y translate
+	rx ry scale
+	0 0 1 0 360 arc
+	setmatrix
+} bind def
+
+/endpage { showpage } bind def
+/showpage { } def
+
+/layercolorseq
+	[	% layer color sequence - darkest to lightest
+		[0 0 0]
+		[.2 .8 .8]
+		[.4 .8 .8]
+		[.6 .8 .8]
+		[.8 .8 .8]
+	]
+def
+
+/layerlen layercolorseq length def
+
+/setlayer {/maxlayer exch def /curlayer exch def
+	layercolorseq curlayer 1 sub layerlen mod get
+	aload pop sethsbcolor
+	/nodecolor {nopcolor} def
+	/edgecolor {nopcolor} def
+	/graphcolor {nopcolor} def
+} bind def
+
+/onlayer { curlayer ne {invis} if } def
+
+/onlayers {
+	/myupper exch def
+	/mylower exch def
+	curlayer mylower lt
+	curlayer myupper gt
+	or
+	{invis} if
+} def
+
+/curlayer 0 def
+
+%%EndResource
+%%EndProlog
+%%BeginSetup
+14 default-font-family set_font
+1 setmiterlimit
+% /arrowlength 10 def
+% /arrowwidth 5 def
+
+% make sure pdfmark is harmless for PS-interpreters other than Distiller
+/pdfmark where {pop} {userdict /pdfmark /cleartomark load put} ifelse
+% make '<<' and '>>' safe on PS Level 1 devices
+/languagelevel where {pop languagelevel}{1} ifelse
+2 lt {
+    userdict (<<) cvn ([) cvn load put
+    userdict (>>) cvn ([) cvn load put
+} if
+
+%%EndSetup
+setupLatin1
+%%Page: 1 1
+%%PageBoundingBox: 36 36 90 124
+%%PageOrientation: Portrait
+gsave
+36 36 90 124 boxprim clip newpath
+0 0 1 beginpage
+1 1 set_scale 0 rotate 40 40 translate
+0.000 0.000 1.000 graphcolor
+newpath -4 -4 moveto
+-4 84 lineto
+50 84 lineto
+50 -4 lineto
+closepath fill
+1 setlinewidth
+0.000 0.000 1.000 graphcolor
+newpath -4 -4 moveto
+-4 84 lineto
+50 84 lineto
+50 -4 lineto
+closepath stroke
+% Node1
+gsave
+0.000 0.000 0.749 nodecolor
+newpath 0 0 moveto
+0 21 lineto
+47 21 lineto
+47 0 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 0 0 moveto
+0 21 lineto
+47 21 lineto
+47 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans.ttf set_font
+23 7 moveto 31 -0.5 (chmat) alignedtext
+grestore
+% Node2
+gsave
+[ /Rect [ 0 59 46 79 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($classsqmat.html) >>
+  /Subtype /Link
+/ANN pdfmark
+[ /Rect [ 0 59 46 79 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($classsqmat.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 0 58 moveto
+0 79 lineto
+47 79 lineto
+47 58 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 0 58 moveto
+0 79 lineto
+47 79 lineto
+47 58 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans.ttf set_font
+23 65 moveto 31 -0.5 (sqmat) alignedtext
+grestore
+% Node2->Node1
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 23 48 moveto
+23 38 23 28 23 21 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 19.5001 48 moveto
+23 58 lineto
+26.5001 48 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 19.5001 48 moveto
+23 58 lineto
+26.5001 48 lineto
+closepath stroke
+grestore
+endpage
+showpage
+grestore
+%%PageTrailer
+%%EndPage: 1
+%%Trailer
+%%Pages: 1
+%%BoundingBox: 36 36 90 124
+end
+restore
+%%EOF
Index: doc/latex/libDC_8h__dep__incl.eps
===================================================================
--- doc/latex/libDC_8h__dep__incl.eps (revision 30)
+++ doc/latex/libDC_8h__dep__incl.eps (revision 37)
@@ -182,8 +182,8 @@
 setupLatin1
 %%Page: 1 1
-%%PageBoundingBox: 36 36 382 182
+%%PageBoundingBox: 36 36 464 182
 %%PageOrientation: Portrait
 gsave
-36 36 382 182 boxprim clip newpath
+36 36 464 182 boxprim clip newpath
 0 0 1 beginpage
 1 1 set_scale 0 rotate 40 40 translate
@@ -191,6 +191,6 @@
 newpath -4 -4 moveto
 -4 142 lineto
-342 142 lineto
-342 -4 lineto
+424 142 lineto
+424 -4 lineto
 closepath fill
 1 setlinewidth
@@ -198,35 +198,35 @@
 newpath -4 -4 moveto
 -4 142 lineto
-342 142 lineto
-342 -4 lineto
+424 142 lineto
+424 -4 lineto
 closepath stroke
 % Node1
 gsave
 0.000 0.000 0.749 nodecolor
-newpath 124 116 moveto
-124 137 lineto
-288 137 lineto
-288 116 lineto
+newpath 180 116 moveto
+180 137 lineto
+344 137 lineto
+344 116 lineto
 closepath fill
 1 setlinewidth
 filled
 0.000 0.000 0.000 nodecolor
-newpath 124 116 moveto
-124 137 lineto
-288 137 lineto
-288 116 lineto
+newpath 180 116 moveto
+180 137 lineto
+344 137 lineto
+344 116 lineto
 closepath stroke
 0.000 0.000 0.000 nodecolor
 10.00 /FreeSans.ttf set_font
-206 123 moveto 148 -0.5 (work/mixpp/bdm/math/libDC.h) alignedtext
+262 123 moveto 148 -0.5 (work/mixpp/bdm/math/libDC.h) alignedtext
 grestore
 % Node2
 gsave
-[ /Rect [ 78 59 230 79 ]
+[ /Rect [ 186 59 338 79 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($libEF_8h.html) >>
   /Subtype /Link
 /ANN pdfmark
-[ /Rect [ 78 59 230 79 ]
+[ /Rect [ 186 59 338 79 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($libEF_8h.html) >>
@@ -234,20 +234,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 78 58 moveto
-78 79 lineto
-230 79 lineto
-230 58 lineto
+newpath 186 58 moveto
+186 79 lineto
+338 79 lineto
+338 58 lineto
 closepath fill
 1 setlinewidth
 filled
 0.000 0.000 0.000 nodecolor
-newpath 78 58 moveto
-78 79 lineto
-230 79 lineto
-230 58 lineto
+newpath 186 58 moveto
+186 79 lineto
+338 79 lineto
+338 58 lineto
 closepath stroke
 0.000 0.000 0.000 nodecolor
 10.00 /FreeSans.ttf set_font
-154 65 moveto 136 -0.5 (work/mixpp/bdm/stat/libEF.h) alignedtext
+262 65 moveto 136 -0.5 (work/mixpp/bdm/stat/libEF.h) alignedtext
 grestore
 % Node1->Node2
@@ -256,28 +256,28 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 189 108 moveto
-181 98 170 87 163 79 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 186.781 110.779 moveto
-196 116 lineto
-192.049 106.169 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 186.781 110.779 moveto
-196 116 lineto
-192.049 106.169 lineto
+newpath 262 106 moveto
+262 96 262 86 262 79 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 258.5 106 moveto
+262 116 lineto
+265.5 106 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 258.5 106 moveto
+262 116 lineto
+265.5 106 lineto
 closepath stroke
 grestore
 % Node4
 gsave
-[ /Rect [ 178 1 338 21 ]
+[ /Rect [ 260 1 420 21 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($libPF_8h.html) >>
   /Subtype /Link
 /ANN pdfmark
-[ /Rect [ 178 1 338 21 ]
+[ /Rect [ 260 1 420 21 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($libPF_8h.html) >>
@@ -285,20 +285,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 178 0 moveto
-178 21 lineto
-338 21 lineto
-338 0 lineto
+newpath 260 0 moveto
+260 21 lineto
+420 21 lineto
+420 0 lineto
 closepath fill
 1 setlinewidth
 filled
 0.000 0.000 0.000 nodecolor
-newpath 178 0 moveto
-178 21 lineto
-338 21 lineto
-338 0 lineto
+newpath 260 0 moveto
+260 21 lineto
+420 21 lineto
+420 0 lineto
 closepath stroke
 0.000 0.000 0.000 nodecolor
 10.00 /FreeSans.ttf set_font
-258 7 moveto 144 -0.5 (work/mixpp/bdm/estim/libPF.h) alignedtext
+340 7 moveto 144 -0.5 (work/mixpp/bdm/estim/libPF.h) alignedtext
 grestore
 % Node1->Node4
@@ -307,29 +307,80 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 222 108 moveto
-228 100 235 90 239 80 curveto
-248 60 254 35 256 21 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 219.2 105.9 moveto
-216 116 lineto
-224.8 110.1 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 219.2 105.9 moveto
-216 116 lineto
-224.8 110.1 lineto
+newpath 309 112 moveto
+324 105 339 94 347 80 curveto
+357 61 350 35 344 21 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 307.717 108.74 moveto
+300 116 lineto
+310.56 115.137 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 307.717 108.74 moveto
+300 116 lineto
+310.56 115.137 lineto
+closepath stroke
+grestore
+% Node5
+gsave
+[ /Rect [ 0 59 168 79 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($chmat_8h.html) >>
+  /Subtype /Link
+/ANN pdfmark
+[ /Rect [ 0 59 168 79 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($chmat_8h.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 0 58 moveto
+0 79 lineto
+169 79 lineto
+169 58 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 0 58 moveto
+0 79 lineto
+169 79 lineto
+169 58 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans.ttf set_font
+84 65 moveto 153 -0.5 (work/mixpp/bdm/math/chmat.h) alignedtext
+grestore
+% Node1->Node5
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 218 113 moveto
+186 102 143 88 115 79 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 217.416 116.479 moveto
+228 116 lineto
+219.427 109.774 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 217.416 116.479 moveto
+228 116 lineto
+219.427 109.774 lineto
 closepath stroke
 grestore
 % Node3
 gsave
-[ /Rect [ 0 1 160 21 ]
+[ /Rect [ 30 1 190 21 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($libKF_8h.html) >>
   /Subtype /Link
 /ANN pdfmark
-[ /Rect [ 0 1 160 21 ]
+[ /Rect [ 30 1 190 21 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($libKF_8h.html) >>
@@ -337,20 +388,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 0 0 moveto
-0 21 lineto
-160 21 lineto
-160 0 lineto
+newpath 30 0 moveto
+30 21 lineto
+190 21 lineto
+190 0 lineto
 closepath fill
 1 setlinewidth
 filled
 0.000 0.000 0.000 nodecolor
-newpath 0 0 moveto
-0 21 lineto
-160 21 lineto
-160 0 lineto
+newpath 30 0 moveto
+30 21 lineto
+190 21 lineto
+190 0 lineto
 closepath stroke
 0.000 0.000 0.000 nodecolor
 10.00 /FreeSans.ttf set_font
-80 7 moveto 144 -0.5 (work/mixpp/bdm/estim/libKF.h) alignedtext
+110 7 moveto 144 -0.5 (work/mixpp/bdm/estim/libKF.h) alignedtext
 grestore
 % Node2->Node3
@@ -359,18 +410,18 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 132 52 moveto
-119 41 104 29 93 21 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 129.9 54.8 moveto
-140 58 lineto
-134.1 49.2 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 129.9 54.8 moveto
-140 58 lineto
-134.1 49.2 lineto
+newpath 223 54 moveto
+196 44 160 30 136 21 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 222.415 57.5357 moveto
+233 58 lineto
+225.015 51.0364 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 222.415 57.5357 moveto
+233 58 lineto
+225.015 51.0364 lineto
 closepath stroke
 grestore
@@ -380,18 +431,39 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 183 53 moveto
-201 43 225 30 240 21 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 181.042 50.084 moveto
-174 58 lineto
-184.441 56.2031 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 181.042 50.084 moveto
-174 58 lineto
-184.441 56.2031 lineto
+newpath 285 52 moveto
+299 42 315 29 327 21 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 282.9 49.2 moveto
+277 58 lineto
+287.1 54.8 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 282.9 49.2 moveto
+277 58 lineto
+287.1 54.8 lineto
+closepath stroke
+grestore
+% Node5->Node3
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 93 49 moveto
+97 39 102 28 106 21 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 89.8631 47.4404 moveto
+89 58 lineto
+96.2598 50.2834 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 89.8631 47.4404 moveto
+89 58 lineto
+96.2598 50.2834 lineto
 closepath stroke
 grestore
@@ -403,5 +475,5 @@
 %%Trailer
 %%Pages: 1
-%%BoundingBox: 36 36 382 182
+%%BoundingBox: 36 36 464 182
 end
 restore
